package com.common.im.contract;

import com.common.im.bean.GroupApplyBean;
import com.common.im.bean.GroupMemberBean;
import com.common.im.bean.RongIMGroupInfo;
import com.cooleshow.base.presenter.view.BaseView;

import java.util.List;

/**
 * 创建日期：2022/6/11 14:43
 *
 * @author Ryan
 * 类说明：
 */
public interface ChatGroupSettingContract {
    interface ChatGroupSettingView extends BaseView {
        void onConversation(boolean b);

        void onGroupUsers(List<GroupMemberBean> data, String groupId);

        void onQueryGroupDetail(RongIMGroupInfo data);

        void dissolveChatGroupSuccess(String targetId);

        void groupApplyListSuccess(List<GroupApplyBean> data);
    }

    interface Presenter {
    }
}
